import { Command, flags } from "@oclif/command";
import { ChangeType } from "../../printer/ast";
interface Change {
    type: ChangeType;
    code: string;
    description: string;
}
export default class SchemaCheck extends Command {
    static description: string;
    static flags: {
        header: flags.IOptionFlag<string[]>;
        endpoint: flags.IOptionFlag<string | undefined>;
        json: import("../../../../../../../../../../Users/lujonathan/Project/arcblock/apollo-cli/node_modules/@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        key: flags.IOptionFlag<string | undefined>;
        engine: flags.IOptionFlag<string | undefined>;
        help: import("../../../../../../../../../../Users/lujonathan/Project/arcblock/apollo-cli/node_modules/@oclif/parser/lib/flags").IBooleanFlag<void>;
    };
    run(): Promise<void>;
}
export declare const format: (change: Change) => {
    type: string;
    code: string;
    description: string;
};
export {};
